ITKeyword,专注技术干货聚合推荐

注册 | 登录

Maven设置项目java默认编译版本

ubuntu_yanglei 分享于 2016-05-23

推荐:防止idea每次都默认以1.5版本编译的maven设置

常常在maven项目中,每次reimport后,Target bytecode version都会恢复到1.5版本编译,以致每次都要通过---》Compiler----->选择Target bytecode version版本,

2019阿里云全部产品优惠券(新购或升级都可以使用,强烈推荐)
领取地址https://promotion.aliyun.com/ntms/yunparter/invite.html

eclipse加载java项目时,默认会用1.5的版本去编译或者引进jdk版本,修改pom文件设置所需的版本。

推荐:解决Eclipse建立Maven项目后无法建立src/main/java 源文件夹的办法

  建立好一个Maven项目后,如果Java Resources资源文件下没有src/main/java文件夹,并且在手动创建这个文件时提示“已存在文件”。 这说明,在这个项目配置中已

<build>
     <plugins>
        <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                   <source>1.7</source>
                   <target>1.7</target>
                </configuration>
        </plugin>
    </plugins>
</build>


推荐:使用Maven构建Eclipse支持的Java项目

将Maven项目转换成Eclipse支持的Java项目。具体操作如下: 1.命令行下cd至项目目录,执行“mvn eclipse:eclipse”生成eclipse工程文件。 2.打开Eclipse,点击“F

eclipse加载java项目时,默认会用1.5的版本去编译或者引进jdk版本,修改pom文件设置所需的版本。 <build> <plugins> <plugin> <groupId>org.apache.maven.plugins

相关阅读排行


用户评论

游客

相关内容推荐

最新文章

×

×

请激活账号

为了能正常使用评论、编辑功能及以后陆续为用户提供的其他产品,请激活账号。

您的注册邮箱: 修改

重新发送激活邮件 进入我的邮箱

如果您没有收到激活邮件,请注意检查垃圾箱。